For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList uplifts
      • POSTCreate an uplift
      • GETGet uplift by ID
      • PUTUpdate uplift (full)
      • PATCHUpdate uplift (partial)
Calculator
LogoLogo
EndpointsUplifts

Update uplift (partial)

PATCH
https://api.finput.com.au/api/v1/uplifts/:id
PATCH
/api/v1/uplifts/:id
$curl -X PATCH https://api.finput.com.au/api/v1/uplifts/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "uplift_name": "Used Asset Premium"
>}'
200Updated
1{
2 "message": "message",
3 "data": {
4 "id": 1,
5 "uplift_name": "uplift_name",
6 "product_id": 1,
7 "rate_bracket_id": 1,
8 "fields_name": [
9 "fields_name"
10 ],
11 "rate_change": 1.1,
12 "property_ownership_status": true,
13 "asset_state": "none",
14 "min_asset_cost": 1.1,
15 "max_asset_cost": 1.1,
16 "min_asset_age": 1,
17 "max_asset_age": 1,
18 "min_abn_age": 1,
19 "max_abn_age": 1,
20 "min_gst_age": 1,
21 "max_gst_age": 1,
22 "min_term": 1,
23 "max_term": 1,
24 "min_credit_score": 1,
25 "max_credit_score": 1,
26 "min_asset_age_plus_term": 1,
27 "max_asset_age_plus_term": 1,
28 "private_sale": true,
29 "sale_hire_back": true,
30 "brokerage_loading_treatment": 1.1,
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z"
33 }
34}
Was this page helpful?
Previous

Get asset tree

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
uplift_namestringRequired
product_idintegerOptional
rate_bracket_idintegerOptional
fields_namelist of stringsOptional
rate_changedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
property_ownership_statusbooleanOptionalDefaults to false
asset_stateenumOptional
Allowed values:
min_asset_costdoubleOptional
max_asset_costdoubleOptional
min_asset_ageintegerOptional
max_asset_ageintegerOptional
min_abn_ageintegerOptional
max_abn_ageintegerOptional
min_gst_ageintegerOptional
max_gst_ageintegerOptional
min_termintegerOptional
max_termintegerOptional
min_credit_scoreintegerOptional
max_credit_scoreintegerOptional
min_asset_age_plus_termintegerOptional
max_asset_age_plus_termintegerOptional
private_salebooleanOptionalDefaults to false
sale_hire_backbooleanOptionalDefaults to false
brokerage_loading_treatmentdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Response

Uplift updated
messagestring
dataobject